Package com.google.protobuf

# Class Descriptors.GenericDescriptor

java.lang.Object
com.google.protobuf.Descriptors.GenericDescriptor

Direct Known Subclasses:
  `Descriptors.Descriptor`, `Descriptors.EnumDescriptor`, `Descriptors.EnumValueDescriptor`, `Descriptors.FieldDescriptor`, `Descriptors.FileDescriptor`, `Descriptors.MethodDescriptor`, `Descriptors.OneofDescriptor`, `Descriptors.ServiceDescriptor`

Enclosing class:
  Descriptors

public abstract static class Descriptors.GenericDescriptor extends Object
All descriptors implement this to make it easier to implement tools like `DescriptorPool`.

## Method Summary

Modifier and Type
Method
Description
`abstract Descriptors.FileDescriptor`
`getFile()`
`abstract String`
`getFullName()`
`abstract String`
`getName()`
`abstract Message`
`toProto()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toProto

public abstract Message toProto()

### getName

public abstract String getName()

### getFullName

public abstract String getFullName()

### getFile

public abstract Descriptors.FileDescriptor getFile()